Page MenuHomePhabricator

Notice: Undefined offset: in "PF_FormLinker.php" on line 239
Closed, ResolvedPublic

Description

Setup

  • MediaWiki 1.31.1 (fe7ffa2) 21. Mär. 2019, 19:54
  • PHP 7.2.16 (cgi-fcgi)
  • MariaDB 10.1.38-MariaDB
  • Page Forms 4.5 (138af6a) 20. Mär. 2019, 19:36

Issue

Notice: Undefined offset: 105 in /../extensions/PageForms/includes/PF_FormLinker.php on line 239
Notice: Undefined offset: 104 in /../extensions/PageForms/includes/PF_FormLinker.php on line 239
Notice: Undefined offset: 110 in /../extensions/PageForms/includes/PF_FormLinker.php on line 239

Event Timeline

Kghbln created this task.Mar 23 2019, 11:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2019, 11:49 AM
Shogil claimed this task.Apr 10 2019, 9:54 AM

I get this every time when accessing "Special:RecentChanges" however I initially noticed this somewhere else. Cannot remember though.

Oh, I was wondering if this was still an issue. 104, 105 and 110 are all namespace IDs - I think they all represent defunct SMW namespaces. Do you still have pages in the "Type:" namespace?

Oh, I was wondering if this was still an issue. 104, 105 and 110 are all namespace IDs - I think they all represent defunct SMW namespaces. Do you still have pages in the "Type:" namespace?

Currently I get this with 3100 which is a defunct custom namespace. So I believe a fix is still needed for this issue. No, the "Type" namespace is no longer there.

Yaron_Koren closed this task as Resolved.May 17 2019, 4:58 PM

Okay, I just checked in what I think is a fix; sorry about the problem.

Thanks a ton!